Subject: Re: Setup.exe
From: Robert Collins <[email-masked]>
To: Dave Hooper <[email-masked]>
Cc: [email-masked]
Date: 09 Jan 2003 06:47:11 +1100

Gah. Sorry about the half-backed reply there.

On Thu, 2003-01-09 at 04:24, Dave Hooper wrote:
> (I believe Windows will by default wait until
> setup.exe has exitted before closing the dialup connection) unless
> setup.exe gives Windows a hint.  I'm almost utterly convinced that a
> sequence in setup.exe a bit like the following will do the trick
> admirably.

You need to check this - it's wrong.

If Windows dials for setup, then it will hangup for setup, even if setup
is still active, based upon the 'idle time' counter supplied by the
user.

I will *consider* autodial tweaking patches, but they need to meet the
following criteria:
* Work for all 3 internet access modes
* be cleanly abstracted into a class(es) of their own - say
'InternetLinkDetection or some such.

You can assume IE4 is present on the system, thats already a requirement
for setup to operate.

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.